SQ(1)

NAME
sq network wkd publish - Publish certificates in a Web Key Directory

SYNOPSIS
sq network wkd publish [OPTIONS] DEST

DESCRIPTION
Publish certificates in a Web Key Directory.

Publishes certificates or certificate updates in a Web Key Directory (WKD). You can create or update a WKD hierarchy on the local system by specifying a path as destination.

Typically, a WKD is stored on a web server. If `--rsync` is given, this command manages remote WKD directory hierarchies by using rsync(1).

To insert a new certificate into the WKD, use `--cert`.

Any updates for certificates already existing in the WKD are automatically published.

Note: To update a WKD hierarchy, it is first copied to a temporary location on the local machine, new certificates or certificate updates are inserted into the local copy, and the hierarchy is copied back to its original location. As this is not an atomic operation, care must be taken to avoid concurrent updates.

OPTIONS

  Subcommand options

--cert=FINGERPRINT
    Insert the given cert into the WKD

--create[=METHOD]
    Create the WKD hierarchy if it does not exist yet

    [possible values: advanced, direct]

--domain=FQDN
    Generate a WKD for a fully qualified domain name for email

--rsync[=RSYNC]
    Path to the local rsync command to use

DEST
    Location of the WKD hierarchy on the local machine or a remote server. If --rsync is given, this is passed as-is to rsync(1).

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Create a new WKD hierarchy in the local directory `public_html`, and insert Alice's cert.

    sq network wkd publish --create \
        --cert=EB28F26E2739A4870ECC47726F0073F60FD0CBF0 \
        --domain=example.org public_html

Add Bob's cert to the existing WKD hierarchy in the local directory `public_html`.

    sq network wkd publish \
        --cert=511257EBBF077B7AEDAE5D093F68CB84CE537C9A \
        --domain=example.org public_html

Refresh all certs in the existing WKD hierarchy in the local directory `public_html` from the cert store.

    sq network wkd publish --domain=example.org public_html

SEE ALSO
sq(1), sq-network(1), sq-network-wkd(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.38.0 (sequoia-openpgp 1.21.2)